# Uses of Interface
org.gitana.platform.client.application.Application

Packages that use Application
Package
Description
org.gitana.platform.client.application
org.gitana.platform.client.platform
org.gitana.platform.client.support

## Uses of Application in org.gitana.platform.client.application

Classes in org.gitana.platform.client.application that implement Application
Modifier and Type
Class
Description
`class`
`ApplicationImpl`
Methods in org.gitana.platform.client.application that return Application
Modifier and Type
Method
Description
`Application`
AbstractApplicationDocumentImpl.`getApplication()`
`Application`
ApplicationDocument.`getApplication()`
Constructors in org.gitana.platform.client.application with parameters of type Application
Modifier
Constructor
Description
``
`AbstractApplicationDocumentImpl(Application application, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`EmailImpl(Application application, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`EmailProviderImpl(Application application, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`RegistrationImpl(Application application, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`SettingsImpl(Application application, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Application in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return Application
Modifier and Type
Method
Description
`Application`
Platform.`createApplication()`
`Application`
Platform.`createApplication(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Application`
PlatformImpl.`createApplication()`
`Application`
PlatformImpl.`createApplication(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Application`
Platform.`readApplication(String applicationId)`
`Application`
PlatformImpl.`readApplication(String applicationId)`
Methods in org.gitana.platform.client.platform that return types with arguments of type Application
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Application>`
Platform.`listApplications()`
`org.gitana.platform.support.ResultMap<Application>`
Platform.`listApplications(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Application>`
PlatformImpl.`listApplications()`
`org.gitana.platform.support.ResultMap<Application>`
PlatformImpl.`listApplications(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Application>`
Platform.`queryApplications(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Application>`
Platform.`queryApplications(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Application>`
PlatformImpl.`queryApplications(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Application>`
PlatformImpl.`queryApplications(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`

## Uses of Application in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Application
Modifier and Type
Method
Description
`Application`
ObjectFactory.`application(Platform platform)`
`Application`
ObjectFactory.`application(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Application`
ObjectFactory.`application(Platform platform, Response response)`
`Application`
ObjectFactoryImpl.`application(Platform platform)`
`Application`
ObjectFactoryImpl.`application(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Application`
ObjectFactoryImpl.`application(Platform platform, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Application
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Application>`
ObjectFactory.`applications(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Application>`
ObjectFactoryImpl.`applications(Platform platform, Response response)`
Methods in org.gitana.platform.client.support with parameters of type Application
Modifier and Type
Method
Description
`Email`
ObjectFactory.`email(Application application, Response response)`
`Email`
ObjectFactoryImpl.`email(Application application, Response response)`
`EmailProvider`
ObjectFactory.`emailProvider(Application application, Response response)`
`EmailProvider`
ObjectFactoryImpl.`emailProvider(Application application, Response response)`
`org.gitana.platform.support.ResultMap<EmailProvider>`
ObjectFactory.`emailProviders(Application application, Response response)`
`org.gitana.platform.support.ResultMap<EmailProvider>`
ObjectFactoryImpl.`emailProviders(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Email>`
ObjectFactory.`emails(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Email>`
ObjectFactoryImpl.`emails(Application application, Response response)`
`Registration`
ObjectFactory.`registration(Application application, Response response)`
`Registration`
ObjectFactoryImpl.`registration(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Registration>`
ObjectFactory.`registrations(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Registration>`
ObjectFactoryImpl.`registrations(Application application, Response response)`
`Settings`
ObjectFactory.`settings(Application application, Response response)`
`Settings`
ObjectFactoryImpl.`settings(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Settings>`
ObjectFactory.`settingsMap(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Settings>`
ObjectFactoryImpl.`settingsMap(Application application, Response response)`